Torque2D Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
RectI Class Reference

`#include <mRect.h>`

Inheritance diagram for RectI:

## Public Member Functions
| RectI ()
| RectI (const Point2I &in_rMin, const Point2I &in_rExtent)
| RectI (const S32 in_left, const S32 in_top, const S32 in_width, const S32 in_height)
void | set (const Point2I &in_rMin, const Point2I &in_rExtent)
void | set (const S32 in_left, const S32 in_top, const S32 in_width, const S32 in_height)
bool | intersect (const RectI &clipRect)
bool | pointInRect (const Point2I &pt) const
bool | contains (const RectI &R) const
bool | overlaps (RectI R) const
void | inset (S32 x, S32 y)
void | unionRects (const RectI &)
Point2I | centre (void) const
S32 | len_x () const
S32 | len_y () const
bool | operator== (const RectI &) const
bool | operator!= (const RectI &) const
bool | isValidRect () const

## Public Attributes
Point2I | point
Point2I | extent

## Constructor & Destructor Documentation

RectI | ( |  | ) |
| inline

RectI | ( | const Point2I & | in_rMin,
|  | const Point2I & | in_rExtent
| ) |  |
| inline

RectI | ( | const S32 | in_left,
|  | const S32 | in_top,
|  | const S32 | in_width,
|  | const S32 | in_height
| ) |  |
| inline

## Member Function Documentation

Point2I centre | ( | void |  | ) | const
| inline

bool contains | ( | const RectI & | R | ) | const
| inline

void inset | ( | S32 | x,
|  | S32 | y
| ) |  |
| inline

bool intersect | ( | const RectI & | clipRect | ) |
| inline

bool isValidRect | ( |  | ) | const
| inline

S32 len_x | ( |  | ) | const
| inline

S32 len_y | ( |  | ) | const
| inline

bool operator!= | ( | const RectI & | in_rCompare | ) | const
| inline

bool operator== | ( | const RectI & | in_rCompare | ) | const
| inline

bool overlaps | ( | RectI | R | ) | const
| inline

bool pointInRect | ( | const Point2I & | pt | ) | const
| inline

void set | ( | const Point2I & | in_rMin,
|  | const Point2I & | in_rExtent
| ) |  |
| inline

void set | ( | const S32 | in_left,
|  | const S32 | in_top,
|  | const S32 | in_width,
|  | const S32 | in_height
| ) |  |
| inline

void unionRects | ( | const RectI & | u | ) |
| inline

## Member Data Documentation

Point2I extent

Point2I point

The documentation for this class was generated from the following file:

- math/mRect.h